class A
  # すべての名前のメソッドが呼び出し可能なので、
  # 常にtrueを返す
  def respond_to_missing?(_name, _include_private)
    true
  end
end

class Hash
  # "has_"から始まって、"?"で終わるメソッド名の場合のみ
  # trueを返す
  def respond_to_missing?(name, _include_private)
    name.match?(/^has_(.+)\?$/)
  end
end
