# 1行ごとにブロックが呼ばれる
TracePoint.new(:line, :class, :call, :return, :b_call) do |tp|
  case tp.event
  when :line
    puts "#{tp.lineno}行目を評価します"
  when :call
    puts "#{tp.method_id}メソッドを呼び出します"
  when :return
    puts "#{tp.method_id}メソッドの戻り値は#{tp.return_value}です"
  end
end.enable

def hello() "Hello" end

hello
